{
  "name": "gitlab-getting-started",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "@types/jest": "^24.0.0",
    "@types/node": "^12.0.0",
    "@types/react": "^16.9.0",
    "@types/react-dom": "^16.9.0",
    "react": "^16.13.0",
    "react-dom": "^16.13.0",
    "react-scripts": "3.4.0",
    "typescript": "~3.7.2"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "test:coverage": "react-scripts test --coverage --watchAll=false",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "jest": {
    "coverageReporters": [
      "json",
      "lcov",
      "text",
      "text-summary"
    ],
    "collectCoverageFrom": [
      "src/**/*.tsx",
      "src/**/*.ts",
      "!**/index.tsx",
      "!**/serviceWorker.ts",
      "!**/react-app-env.d.ts"
    ],
    "coveragePathIgnorePatterns": [
      "src/assets",
      "src/utils/polyfills",
      "src/*.config.js",
      ".snap",
      "src/config"
    ]
  }
}
